package com.chinaitop.depot.intelligent.energyMonitor.mapper;

import com.chinaitop.depot.intelligent.energyMonitor.model.TEnergyHistory;
import com.chinaitop.depot.intelligent.energyMonitor.model.TEnergyHistoryExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TEnergyHistoryMapper {
    int countByExample(TEnergyHistoryExample example);

    int deleteByExample(TEnergyHistoryExample example);

    int insert(TEnergyHistory record);

    int insertSelective(TEnergyHistory record);

    List<TEnergyHistory> selectByExample(TEnergyHistoryExample example);

    int updateByExampleSelective(@Param("record") TEnergyHistory record, @Param("example") TEnergyHistoryExample example);

    int updateByExample(@Param("record") TEnergyHistory record, @Param("example") TEnergyHistoryExample example);

    void insertBatch(List<TEnergyHistory> tEnergyInfos);

    List<TEnergyHistory> getList(Map<String, Object> map);

    List<Map<String, Object>> getTrendThreePage(Map<String, Object> map);

    List<Map<String, Object>> getTimePointThreePage(Map<String, Object> map);

    List<Map<String, Object>> getTimeThreePage(Map<String, Object> map);

    List<TEnergyHistory> getDailyConsumptionList(Map<String, Object> map);

    List<TEnergyHistory> getTaskConsumptionList(Map<String, Object> map);

    void addHistoryData();
}